XY10060521
风行电影
采纳率0%
2019-11-27 15:04 阅读 1.7k

python 安装 pymssql 库时报错

安装第三方库

pip install pymssql

Traceback (most recent call last):
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_vendor\urllib3\response.py", line 425, in _error_catcher
    yield
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_vendor\urllib3\response.py", line 507, in read
    data = self._fp.read(amt) if not fp_closed else b""
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_vendor\cachecontrol\filewrapper.py", line 62, in read
    data = self.__fp.read(amt)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\http\client.py", line 457, in read
    n = self.readinto(b)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\http\client.py", line 501, in readinto
    n = self.fp.readinto(b)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\ssl.py", line 1071, in recv_into
    return self.read(nbytes, buffer)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\ssl.py", line 929, in read
    return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\cli\base_command.py", line 153, in _main
    status = self.run(options, args)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\commands\install.py", line 382, in run
    resolver.resolve(requirement_set)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\legacy_resolve.py", line 201, in resolve
    self._resolve_one(requirement_set, req)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\legacy_resolve.py", line 365, in _resolve_one
    abstract_dist = self._get_abstract_dist_for(req_to_install)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\legacy_resolve.py", line 313, in _get_abstract_dist_for
    req, self.session, self.finder, self.require_hashes
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\operations\prepare.py", line 194, in prepare_linked_requirement
    progress_bar=self.progress_bar
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\download.py", line 465, in unpack_url
    progress_bar=progress_bar
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\download.py", line 316, in unpack_http_url
    progress_bar)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\download.py", line 551, in _download_http_url
    _download_url(resp, link, content_file, hashes, progress_bar)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\download.py", line 253, in _download_url
    hashes.check_against_chunks(downloaded_chunks)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\utils\hashes.py", line 80, in check_against_chunks
    for chunk in chunks:
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\download.py", line 223, in written_chunks
    for chunk in chunks:
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\utils\ui.py", line 160, in iter
    for x in it:
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_internal\download.py", line 212, in resp_read
    decode_content=False):
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_vendor\urllib3\response.py", line 564, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_vendor\urllib3\response.py", line 529, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "c:\users\XXX\appdata\local\programs\python\python37\lib\site-packages\pip\_vendor\urllib3\response.py", line 430, in _error_catcher
    raise ReadTimeoutError(self._pool, None, "Read timed out.")
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='pypi.tuna.tsinghua.edu.cn', port=443): Read timed out.

也下载了 wordcloud-1.6.0-cp37-cp37m-win_amd64.whl
python版本是3.7 64位

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享

6条回答 默认 最新

  • hupi_jiandan 抓个霸哥 2019-12-08 22:05

    可以用pucharm那里直接下载,

    点赞 1 评论 复制链接分享
  • weixin_44336969 'ゞBibo。 2019-12-10 17:33

    我的也是3.7,直接pip install pymysql就可以了,不行的话就是pypi下载压缩包,执行setup文件

    点赞 1 评论 复制链接分享
  • luyangever luyangever 2020-01-16 11:14

    你打错了应该是pymysql

    点赞 评论 复制链接分享
  • qq_38882497 樊大炮 2020-02-06 22:21

    我和你一模一样的错,不过我是下numpy,,,本来python37用的好好的,然后升级到38了,之前下的所有库也全删了,,,现在numpy都下不了了

    点赞 评论 复制链接分享
  • python_solver Kappuccinno 2021-04-12 21:32

    pip install -i https://pypi.tuna.tsinghua.edu.cn/simple pymssql

    点赞 评论 复制链接分享
  • bilibili_Xiaoli 剑少科技(编程猫分室)_聪明的汤姆猫 2021-04-23 21:57

    可能是太慢了,试试清华的镜像源 python -m pip install --upgrade pip -i https://pypi.tuna.tsinghua.edu.cn/simple/

    点赞 评论 复制链接分享

相关推荐